View Issue Details

IDProjectCategoryView StatusLast Update
0000617FreeCADBugpublic2018-09-22 21:37
Reporterpeepsalot Assigned Toshoogen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version 
Target VersionFixed in Version0.17 
Summary0000617: Error when fusing torus and tangent cylinder
DescriptionWhen perfoming a fuse operation on torus and cylinder, the resulting shape is incomplete, missing most of it's faces.

Attached is a simple python script which reproduces the issue.

Here is an example picture of the cylinder and torus as separate pieces on the left, and the union result on the right.
http://i.imgur.com/SknDA.png

Ubuntu Linux 11.10 64bit
FreeCAD 0.13 5076 (Launchpad)
TagsOCC Bug, OCC Unscheduled, upstream
FreeCAD Information

Activities

2012-03-02 04:48

 

UnionTest.py (Attachment missing)

normandc

2012-03-03 18:09

manager   ~0001702

I confirm this, same FreeCAD version and OS.

I tried revolving a circle to get a torus, and padding a tangent cylinder, but the fuse of both shapes fails as well.

Jriegel

2012-03-09 06:16

administrator   ~0001731

reproduced on Windows but without crash

wmayer

2014-03-02 11:18

administrator   ~0004347

Using OCC 6.6 or later this works now.

shoogen

2015-02-02 13:46

developer   ~0005756

in occt 6.8 the BOP returns an invalid shape.
The shell is reported to have Invalid MultiConnexity.

shoogen

2015-02-02 14:52

developer   ~0005757

http://tracker.dev.opencascade.org/view.php?id=25781
http://tracker.dev.opencascade.org/view.php?id=25771

Kunda1

2018-01-19 16:55

administrator  

SknDA.png (40,868 bytes)
SknDA.png (40,868 bytes)

wmayer

2018-09-22 20:17

administrator   ~0011823

With OCCT 7.0 it works and bop check doesn't report any errors any more.

normandc

2018-09-22 20:47

manager   ~0011824

Confirmed on OCC 7.3.0.

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14784 (Git)
Build type: Release
Branch: master
Hash: ac21bcc35c56b360e03c646f5cfdcf15e5769717
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/Canada (fr_CA)

Issue History

Date Modified Username Field Change
2012-03-02 04:48 peepsalot New Issue
2012-03-02 04:48 peepsalot File Added: UnionTest.py
2012-03-03 18:09 normandc Note Added: 0001702
2012-03-09 06:16 Jriegel Note Added: 0001731
2012-03-09 06:16 Jriegel Status new => acknowledged
2014-03-02 11:18 wmayer Note Added: 0004347
2014-03-02 11:18 wmayer Status acknowledged => closed
2014-03-02 11:18 wmayer Resolution open => no change required
2014-03-02 11:18 wmayer Fixed in Version => 0.14
2015-02-02 13:46 shoogen Assigned To => shoogen
2015-02-02 13:46 shoogen Note Added: 0005756
2015-02-02 13:46 shoogen Status closed => feedback
2015-02-02 13:46 shoogen Resolution no change required => reopened
2015-02-02 13:46 shoogen Tag Attached: OCC Bug
2015-02-02 14:52 shoogen Note Added: 0005757
2015-02-03 12:16 shoogen Status feedback => acknowledged
2017-01-15 04:44 Kunda1 Tag Attached: upstream
2017-01-27 01:27 Kunda1 Tag Attached: bump
2017-01-27 01:27 Kunda1 Tag Attached: unscheduled
2017-08-22 11:58 Kunda1 Tag Renamed unscheduled => OCC Unscheduled
2018-01-19 16:54 Kunda1 Description Updated View Revisions
2018-01-19 16:55 Kunda1 Description Updated View Revisions
2018-01-19 16:55 Kunda1 File Added: SknDA.png
2018-09-22 20:17 wmayer Status acknowledged => closed
2018-09-22 20:17 wmayer Fixed in Version 0.14 => 0.17
2018-09-22 20:17 wmayer Note Added: 0011823
2018-09-22 20:47 normandc Note Added: 0011824
2018-09-22 21:37 Kunda1 Tag Detached: bump